> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Get a payable register by ID

GET https://api.propexo.com/v1/payable-registers/{payable_register_id}

Get a payable register by ID

Reference: https://docs.propexo.com/api-reference/yardi-rest/invoices/get-a-payable-register-by-id

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Path parameters

- `payable_register_id` (string, required) — The ID of the resource.

### Query parameters

- `order-by` (string, optional, default: created_at:desc) — Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
- `updated_at_gte` (string, optional, nullable) — Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
- `updated_at_lte` (string, optional, nullable) — Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
- `last_seen_gte` (string, optional, nullable) — Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
- `last_seen_lte` (string, optional, nullable) — Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
- `offset` (integer, optional, nullable, default: 0) — Can be used for paginating results
- `limit` (integer, optional, nullable, default: 100) — A number between 1 and 250 to determine the number of results to return in a single query

## Response

### 200

Successful response

- `meta` (ResponseMeta, required)
- `results` (PayableRegister, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### ResponseMeta

- `orderBy` (list of ResponseMetaOrderByItems, required) — The order of the results
- `offset` (integer, optional) — The offset of the first result
- `limit` (integer, optional) — The number of results to return
- `hasMore` (boolean, optional, nullable) — Whether there are more results
- `total` (integer, optional) — The total number of results

### PayableRegister

- `id` (string, required) — The Propexo unique identifier for the payable register
- `created_at` (string, required) — The date record first entered Propexo
- `updated_at` (string, required) — The date record was last updated in Propexo
- `last_seen` (string, required, nullable) — The date the record was last seen from the PMS
- `x_id` (string, required) — The external ID from the integration vendor | Interface | Method | |---|---| | Vendor Invoicing | /ItfVendorInvoicing/GetInvoiceRegister |
- `x_property_id` (string, required) — The external ID of the property from the integration vendor | Interface | Method | |---|---| | Vendor Invoicing | /ItfVendorInvoicing/GetInvoiceRegister |
- `x_location_id` (any, required) — The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.This field will always be null for YARDI\_REST
- `x_financial_account_id` (any, required) — The external ID of the financial account from the integration vendorThis field will always be null for YARDI\_REST
- `x_cash_financial_account_id` (string, required, nullable) — The external ID of the cash financial account from the integration vendor | Interface | Method | |---|---| | Vendor Invoicing | /ItfVendorInvoicing/GetInvoiceRegister |
- `x_ap_financial_account_id` (string, required, nullable) — The external ID of the AP financial account from the integration vendor | Interface | Method | |---|---| | Vendor Invoicing | /ItfVendorInvoicing/GetInvoiceRegister |
- `x_vendor_id` (any, required) — The external ID of the vendor from the integration vendorThis field will always be null for YARDI\_REST
- `x_batch_id` (any, required) — The external ID of the associated batchThis field will always be null for YARDI\_REST
- `amount_due_in_cents` (any, required) — The amount due on the payable register, in centsThis field will always be null for YARDI\_REST
- `amount_paid_in_cents` (double, required, nullable) — The amount paid on the payable register, in cents | Interface | Method | |---|---| | Vendor Invoicing | /ItfVendorInvoicing/GetInvoiceRegister |
- `custom_data` (PayableRegisterCustomData, required, nullable)
- `due_date` (any, required) — The due date associated with the payable registerThis field will always be null for YARDI\_REST
- `discount_amount_in_cents` (any, required) — The discount, in cents, of the payable registerThis field will always be null for YARDI\_REST
- `discount_date` (any, required) — The date a discount was issued on payable registerThis field will always be null for YARDI\_REST
- `invoice_date` (string, required, nullable) — The date the payable register was issued | Interface | Method | |---|---| | Vendor Invoicing | /ItfVendorInvoicing/GetInvoiceRegister |
- `invoice_number` (string, required, nullable) — The reference number for the payable register | Interface | Method | |---|---| | Vendor Invoicing | /ItfVendorInvoicing/GetInvoiceRegister |
- `notes` (string, required, nullable) — Notes associated with the payable register | Interface | Method | |---|---| | Vendor Invoicing | /ItfVendorInvoicing/GetInvoiceRegister |
- `post_date` (any, required) — The date the payable register was posted. Some PMS systems only show the month.This field will always be null for YARDI\_REST
- `post_month` (string, required, nullable) — The month the payable register was posted. | Interface | Method | |---|---| | Vendor Invoicing | /ItfVendorInvoicing/GetInvoiceRegister |
- `post_status_raw` (any, required) — The raw post status associated with the payable registerThis field will always be null for YARDI\_REST
- `sub_total_amount_in_cents` (any, required) — The sub total amount of the payable registerThis field will always be null for YARDI\_REST
- `total_amount_in_cents` (double, required, nullable) — The amount of the payable register, in cents | Interface | Method | |---|---| | Vendor Invoicing | /ItfVendorInvoicing/GetInvoiceRegister |
- `status` (string, required, nullable) — The status associated with the payable register | Interface | Method | |---|---| | Vendor Invoicing | /ItfVendorInvoicing/GetInvoiceRegister |
- `is_unpaid` (boolean, required, nullable) — Whether the payable register is unpaid or not | Interface | Method | |---|---| | Vendor Invoicing | /ItfVendorInvoicing/GetInvoiceRegister |
- `is_adjustment` (boolean, required, nullable) — Whether the payable register is an adjustment or not | Interface | Method | |---|---| | Vendor Invoicing | /ItfVendorInvoicing/GetInvoiceRegister |
- `is_credit_memo` (boolean, required, nullable) — Whether the payable register is a credit memo or not | Interface | Method | |---|---| | Vendor Invoicing | /ItfVendorInvoicing/GetInvoiceRegister |
- `is_exempt_from_1099` (boolean, required, nullable) — Whether the payable register is exempt from a 1099 or not | Interface | Method | |---|---| | Vendor Invoicing | /ItfVendorInvoicing/GetInvoiceRegister |
- `display_type` (string, required, nullable) — The display type of the payable register | Interface | Method | |---|---| | Vendor Invoicing | /ItfVendorInvoicing/GetInvoiceRegister |
- `expense_type` (string, required, nullable) — The expense type of the payable register | Interface | Method | |---|---| | Vendor Invoicing | /ItfVendorInvoicing/GetInvoiceRegister |
- `property_id` (string, required) — The Propexo unique identifier for the property
- `financial_account_id` (any, required) — The Propexo unique identifier for the financial accountThis field will always be null for YARDI\_REST
- `cash_financial_account_id` (string, required, nullable) — The Propexo unique identifier for the cash financial account | Interface | Method | |---|---| | Vendor Invoicing | /ItfVendorInvoicing/GetInvoiceRegister |
- `ap_financial_account_id` (string, required, nullable) — The Propexo unique identifier for the ap financial account | Interface | Method | |---|---| | Vendor Invoicing | /ItfVendorInvoicing/GetInvoiceRegister |
- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `integration_vendor` (enum, required) — The property management system of record
  - Allowed values: `YARDI_REST`, `APPFOLIO`, `BUILDIUM`, `ENTRATA`, `MRI`, `PROPERTYWARE`, `PROPERTYWARE_REST`, `REALPAGE`, `REALPAGE_RPX`, `RENTMANAGER`, `RENTVINE`, `RESMAN`, `YARDI`
- `payable_register_items` (list of PayableRegisterPayableRegisterItemsItems, required) — The payable register list items associated with the payable register

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### ResponseMetaOrderByItems

### PayableRegisterCustomData

### PayableRegisterPayableRegisterItemsItems

- `x_id` (string, required) — The external ID from the integration vendor | Interface | Method | |---|---| | Vendor Invoicing | /ItfVendorInvoicing/GetInvoiceRegister |
- `x_property_id` (string, required) — The external ID of the property from the integration vendor | Interface | Method | |---|---| | Vendor Invoicing | /ItfVendorInvoicing/GetInvoiceRegister |
- `x_location_id` (any, required) — The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.This field will always be null for YARDI\_REST
- `x_gl_account_id` (string, required, nullable) — The external ID of the financial account from the integration vendor | Interface | Method | |---|---| | Vendor Invoicing | /ItfVendorInvoicing/GetInvoiceRegister |
- `x_cash_financial_account_id` (string, required, nullable) — The external ID of the cash financial account from the integration vendor | Interface | Method | |---|---| | Vendor Invoicing | /ItfVendorInvoicing/GetInvoiceRegister |
- `payable_register_id` (string, required) — The Propexo unique identifier for the payable register | Interface | Method | |---|---| | Vendor Invoicing | /ItfVendorInvoicing/GetInvoiceRegister |
- `construction_job_id` (string, required, nullable) — The Propexo unique identifier for the construction job | Interface | Method | |---|---| | Vendor Invoicing | /ItfVendorInvoicing/GetInvoiceRegister |
- `amount_due_in_cents` (any, required) — The amount due on the payable register item, in centsThis field will always be null for YARDI\_REST
- `notes` (string, required, nullable) — Notes associated with the payable register item | Interface | Method | |---|---| | Vendor Invoicing | /ItfVendorInvoicing/GetInvoiceRegister |
- `total_amount_in_cents` (double, required, nullable) — The amount of the payable register item, in cents | Interface | Method | |---|---| | Vendor Invoicing | /ItfVendorInvoicing/GetInvoiceRegister |
- `cost_code` (string, required, nullable) — The cost code of the payable register item | Interface | Method | |---|---| | Vendor Invoicing | /ItfVendorInvoicing/GetInvoiceRegister |
- `property_id` (string, required) — The Propexo unique identifier for the property
- `financial_account_id` (string, required, nullable) — The Propexo unique identifier for the financial account | Interface | Method | |---|---| | Vendor Invoicing | /ItfVendorInvoicing/GetInvoiceRegister |
- `cash_financial_account_id` (string, required, nullable) — The Propexo unique identifier for the cash financial account | Interface | Method | |---|---| | Vendor Invoicing | /ItfVendorInvoicing/GetInvoiceRegister |

## Examples

**Response**

```json
{
  "meta": {
    "orderBy": [
      {}
    ],
    "offset": 0,
    "limit": 100,
    "hasMore": true,
    "total": 1000
  },
  "results": {
    "id": "clwktsp9v000008l31iv218hn",
    "created_at": "2024-03-21T15:38:08.337Z",
    "updated_at": "2024-03-22T10:59:45.119Z",
    "last_seen": "2024-03-22T10:59:45.119Z",
    "x_id": "cl9kz7rp10007usxq3mk0e2gl",
    "x_property_id": "na",
    "x_location_id": null,
    "x_financial_account_id": null,
    "x_cash_financial_account_id": "11100000",
    "x_ap_financial_account_id": "22000000",
    "x_vendor_id": null,
    "x_batch_id": null,
    "amount_due_in_cents": null,
    "amount_paid_in_cents": 50000,
    "custom_data": {},
    "due_date": null,
    "discount_amount_in_cents": null,
    "discount_date": null,
    "invoice_date": "2024-09-05T00:00:00.000Z",
    "invoice_number": "cxp34657",
    "notes": "A string of data generally provided by the PMC",
    "post_date": null,
    "post_month": "2024-02-01",
    "post_status_raw": null,
    "sub_total_amount_in_cents": null,
    "total_amount_in_cents": 87500,
    "status": "Keyed",
    "is_unpaid": true,
    "is_adjustment": true,
    "is_credit_memo": true,
    "is_exempt_from_1099": true,
    "display_type": "Accrual",
    "expense_type": "Operating",
    "property_id": "clwi5xiix000008l6ctdgafyh",
    "financial_account_id": null,
    "cash_financial_account_id": "cl9kz7rp10006usxq3mk0e2gl",
    "ap_financial_account_id": "cl9kz7rp10005usxq3mk0e2gl",
    "integration_id": "clwh5u07w000508me66sfh3um",
    "integration_vendor": "YARDI_REST",
    "payable_register_items": [
      {
        "x_id": "cl9kz7rp10004usxq3mk0e2gl",
        "x_property_id": "3299",
        "x_location_id": null,
        "x_gl_account_id": "22700000",
        "x_cash_financial_account_id": "11100000",
        "payable_register_id": "cl9kz7rp10003usxq3mk0e2gl",
        "construction_job_id": "cl9kz7rp10001usxq3mk0e2gl",
        "amount_due_in_cents": null,
        "notes": "A string of data about the invoice, generally added by the PMC",
        "total_amount_in_cents": 80000,
        "cost_code": "Equ",
        "property_id": "clwi5xiix000008l6ctdgafyh",
        "financial_account_id": "cl9kz7rp10002usxq3mk0e2gl",
        "cash_financial_account_id": "cl9kz7rp10000usxq3mk0e2gl"
      }
    ]
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/payable-registers/payable_register_id"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/payable-registers/payable_register_id';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/payable-registers/payable_register_id"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/payable-registers/payable_register_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.propexo.com/v1/payable-registers/payable_register_id")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.propexo.com/v1/payable-registers/payable_register_id', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/payable-registers/payable_register_id");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/payable-registers/payable_register_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```